This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 230958 - USB memory stick won't mount: Error org.freedesktop.Hal.PermissionDenied.
USB memory stick won't mount: Error org.freedesktop.Hal.PermissionDenied.
Status: CLOSED DUPLICATE of bug 228110
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-04 22:01 EST by david.hagood
Modified: 2013-03-05 22:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-04 22:46:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description david.hagood 2007-03-04 22:01:19 EST
Description of problem:
Inserting a memory stick into a USB memory stick reader no longer causes the
memory stick to be auto-mounted - instead an error is generated.

Version-Release number of selected component (if applicable):
hal-0.5.9-0.git20070218.fc7
gnome-volume-manager-2.17.0-4.fc7


How reproducible:
Every time

Steps to Reproduce:
1. Start X+Gnome
2. Insert memory stick into USB reader.

  
Actual results:
An error dialog is displayed:
Cannot mount volume.
Error org.freedesktop.Hal.PermissionDenied.
Details
  Permission denied: Not in active session

Expected results:
Memory stick should be mounted under /media.
Nautilus should open a window showing the stick's contents.


Additional info:
Comment 1 David Zeuthen 2007-03-04 22:20:11 EST
Are you logging in via gdm?
Comment 2 david.hagood 2007-03-04 22:26:15 EST
No, via runlevel 3 + text login + startx.
Comment 3 David Zeuthen 2007-03-04 22:46:18 EST
This will be fixed shortly (xinit needs to poke ConsoleKit). Until then you need
to login via gdm if you expect this to work.

*** This bug has been marked as a duplicate of 228110 ***

Note You need to log in before you can comment on or make changes to this bug.